#**************************************************************
# This .sbc file is created by DE3_SystemBuilder.
# Users are recommended to modify this file to match users logic.
#**************************************************************

#**************************************************************
# Create Clock
#**************************************************************

create_clock  -period 20 -waveform {0 10} [get_ports {OSC1_50}]

create_clock -period "148.5 MHz" -name HDMI_TX_CLK_148M5 [get_ports HDMI_TX_PCLK]
create_clock -period "148.5 MHz" -name HDMI_RX_CLK_148M5 [get_ports HDMI_RX_PCLK]



create_generated_clock -source [get_pins DE3_SOPC:DE3_SOPC_Instance|i2s_tx:the_i2s_tx|i2s_ws] -divide_by 64 [get_pins DE3_SOPC:DE3_SOPC_Instance|i2s_tx:the_i2s_tx|i2s_sck]



#**************************************************************
# Create Generated Clock
#**************************************************************

derive_pll_clocks

#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************



#**************************************************************
# Set Input Delay
#**************************************************************




#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************
set_clock_groups -exclusive \
-group {[get_ports {HDMI_RX_PCLK}]} \
-group {[get_pins [vpg:vpg_inst|vpg_clk]}



#**************************************************************
# Set False Path
#**************************************************************

#**************************************************************
# Set Multicycle Path
#**************************************************************

#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************



#**************************************************************
# Set Load
#**************************************************************



