module	gen_reset_n(
	iRST_N,
	iCLK,
	oRESET_N
);

input		iCLK;
input		iRST_N;
output reg	oRESET_N;
reg	[23:0]	Cont;

always@(posedge iCLK or negedge iRST_N)
begin
	if(!iRST_N)
	begin
		oRESET_N	<=	1'b0;
		Cont	<=	24'h0000000;
	end
	else
	begin
		if(Cont!=24'hFFFFFF)   // about 300ms at 50MHz
		begin
			Cont	<=	Cont+1;
			oRESET_N	<=	1'b0;
		end
		else
		oRESET_N	<=	1'b1;
	end
end

endmodule
